/*
    StartMeFirst.c, Copyright 1999 (c) by Claudio Jeker,
    Swiss Federal Institute of Technology,
    Computer Engineering and Networks Laboratory.
 
    TOPSY -- A Teachable Operating System.
             Implementation of a tiny and simple
             micro kernel for teaching purposes.
 
    For further information, please visit http://www.tik.ee.ethz.ch/~topsy
 
    This software is provided under the terms of the GNU General Public Licence.
 
    A full copy of the GNU GPL is provided in the file COPYING found in the 
    development root of Topsy.
*/
/*
        
        File:                  $Source: /home/ruf/cvs_Topsy/cvs/Topsy/Startup/mips/StartMeFirst.c,v $
        Author(s):             Claudio Jeker
        Affiliation:           ETH Zuerich, TIK
        Version:               $Revision: 2922 $
        Creation Date:         1999/04/08
        Last Date of Change:   $Date: 2007-03-19 17:48:52 +0100 (Mon, 19 Mär 2007) $      by: $Author: baderma $
        
*/
#include "Startup.h"
#include "TMHal.h"
#include "SupportMIPS.h"

void StartMeFirst(void);

void StartMeFirst(void)
{
  if( getPRID() == PRID_R3K )
  {
    restoreContext = restoreContext_R3k;
  }
  else
  {
    restoreContext = restoreContext_R4k;
  }

  topsyMain();
}

